This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 509597 - command "find /" causes appliance to die
command "find /" causes appliance to die
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-03 18:04 EDT by Richard W.M. Jones
Modified: 2010-05-12 08:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 08:15:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-07-03 18:04:17 EDT
Take typical (eg) Linux image, and do:

 guestfish -i linuximage
 ><fs> find /

The find command will run for quite a while and
eventually the qemu process exits.

This shouldn't happen ..
Comment 1 Richard W.M. Jones 2009-07-05 10:51:12 EDT
This is find / running in verbose mode:

find string: /sysroot/bin/ps
find string: /sysroot/bin/dbus-send
find string: /sysroot/proc
guestfsd: failed to encode reply body
Kernel panic - not syncing: Attempted to kill init!
Pid: 1, comm: guestfsd Tainted: G        W  2.6.31-0.24.rc0.git18.fc11.x86_64 #1
Call Trace:
 [<ffffffff814eb2d7>] panic+0x89/0x140
 [<ffffffff810670b1>] do_exit+0x8a/0x768
 [<ffffffff81067822>] do_group_exit+0x93/0xc3
 [<ffffffff8106787c>] sys_exit_group+0x2a/0x42
 [<ffffffff81012f42>] system_call_fastpath+0x16/0x1b
Rebooting in 1 seconds..sock_read_event: 0x24487f0 g->state = 3, fd = 3, events = 0x1
stdout_event: 0x24487f0: child process died
libguestfs: error: guestfs_find reply failed, see earlier error messages

It fails in daemon/proto.c which (inexplicably) exits instead of return
an error message ...
Comment 2 Richard W.M. Jones 2009-07-05 11:07:42 EDT
The following commit should fix this:

http://git.et.redhat.com/?p=libguestfs.git;a=commitdiff;h=51d0620ad90f913cb749e641a839876b3ef755f8
Comment 3 Fedora Update System 2009-07-07 16:17:00 EDT
libguestfs-1.0.56-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.56-1.el5
Comment 4 Fedora Update System 2009-07-07 17:19:40 EDT
libguestfs-1.0.56-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.56-2.fc11
Comment 5 Fedora Update System 2009-07-10 15:02:46 EDT
libguestfs-1.0.57-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.57-2.el5
Comment 6 Fedora Update System 2009-07-11 05:26:19 EDT
libguestfs-1.0.58-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.58-2.el5
Comment 7 Fedora Update System 2009-07-14 12:31:19 EDT
libguestfs-1.0.60-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.60-1.el5
Comment 8 Fedora Update System 2009-07-16 16:06:27 EDT
libguestfs-1.0.58-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-07-23 11:12:30 EDT
libguestfs-1.0.64-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.64-2.el5
Comment 10 Fedora Update System 2009-07-27 10:45:35 EDT
libguestfs-1.0.64-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.64-3.el5
Comment 11 Fedora Update System 2009-07-29 13:01:10 EDT
libguestfs-1.0.65-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.65-2.el5
Comment 12 Fedora Update System 2009-08-07 04:34:30 EDT
libguestfs-1.0.66-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.66-4.el5
Comment 13 Fedora Update System 2009-08-14 05:14:11 EDT
libguestfs-1.0.67-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.67-1.el5
Comment 14 Fedora Update System 2009-08-17 20:23:07 EDT
libguestfs-1.0.65-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-08-19 17:55:40 EDT
libguestfs-1.0.68-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.68-5.el5
Comment 16 Fedora Update System 2009-09-08 18:59:49 EDT
libguestfs-1.0.68-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Richard W.M. Jones 2010-03-27 06:38:32 EDT
In 1.0.88, the error message is faulty.  Reopening.

><fs> find /
libguestfs: error: find: guestfsd: failed to encode reply body
: Success
><fs> ls /
.dbus
bin
boot
dev
Comment 18 Richard W.M. Jones 2010-03-27 07:12:02 EDT
Fixed the error message:

><fs> find /
libguestfs: error: find: guestfsd: failed to encode reply body
(maybe the reply exceeds the maximum message size in the protocol?)

http://git.annexia.org/?p=libguestfs.git;a=commitdiff;h=f826ce4876135a8abb72383aa5a5681f045f5367
Comment 19 Fedora Update System 2010-04-09 10:10:16 EDT
libguestfs-1.2.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.1-1.fc13
Comment 20 Fedora Update System 2010-04-13 03:43:50 EDT
libguestfs-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.2-1.fc13
Comment 21 Fedora Update System 2010-04-30 19:46:59 EDT
libguestfs-1.2.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.